Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028840
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-02-02 19:122015-03-09 09:26
ReporterVictorVillarView Statuspublic 
Assigned Toumartirena 
PriorityimmediateResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisionde6027132069
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028840: Wrong costing entries after some circumstancies

DescriptionWrong costing entries after some circumstancies
Steps To ReproduceAs group Admin role:
  Go to Preferences: Activate Negative Stock Corrections
Create a product
 Production: Yes
 Bill of materials: Yes

Costing tab:
   New register. Average. Cost: 6.1
   Starting Date: 01-01-2012
   Ending date: 31-12-9999
 
Go to Client window:
  Allow Negative stock: Yes

Create 2 Goods Shipment for that product. Qty: 10 units each.
1.- Movement date: 01-01-2015
2.- Movement date: 02-01-2015
Create a Physical Inventory: Qty count: 10
Movement date: 01-01-2015
Cost: 0.16

Process it.

Launch the Costing Background process and realise that the process has introduced 2 registers in the m_costing, which is wrong.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00291923.0PR15Q1.2 closedumartirena Wrong costing entries after some circumstancies 

-  Notes
(0074027)
hgbot (developer)
2015-02-03 13:52

Repository: erp/devel/pi
Changeset: de6027132069982d00515ce507c805a4a849df0b
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Tue Feb 03 13:51:05 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/de6027132069982d00515ce507c805a4a849df0b [^]

Fixes bug 28840: Fixed wrong costing entries after some circumstancies

Method 'getTrxCurrentCosting' in AverageCostAdjustment it was filtering by organization when working with 'production' type products, and this is not working, it should filter by client in this case, as all costing records for this type of products are at client level.

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0074088)
psanjuan (manager)
2015-02-04 14:28

Verified.

Costing Background process introduces only 1 register in the m_costing.
(0074212)
hudsonbot (developer)
2015-02-04 20:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test
(0074986)
dmitry_mezentsev (developer)
2015-02-26 17:38

Not closed for 23 days!!!
(0075216)
Sandrahuguet (developer)
2015-03-05 18:45

Code review + testing OK
(0075291)
umartirena (developer)
2015-03-09 09:25

Reopened to add backport for 3.0PR15Q1.2

- Issue History
Date Modified Username Field Change
2015-02-02 19:12 VictorVillar New Issue
2015-02-02 19:12 VictorVillar Assigned To => umartirena
2015-02-02 19:12 VictorVillar Modules => Core
2015-02-02 19:12 VictorVillar Triggers an Emergency Pack => No
2015-02-02 19:13 VictorVillar Issue Monitored: networkb
2015-02-03 13:52 hgbot Checkin
2015-02-03 13:52 hgbot Note Added: 0074027
2015-02-03 13:52 hgbot Status new => resolved
2015-02-03 13:52 hgbot Resolution open => fixed
2015-02-03 13:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/de6027132069982d00515ce507c805a4a849df0b [^]
2015-02-04 14:28 psanjuan Note Added: 0074088
2015-02-04 20:35 hudsonbot Checkin
2015-02-04 20:35 hudsonbot Note Added: 0074212
2015-02-26 17:38 dmitry_mezentsev Note Added: 0074986
2015-03-05 18:45 Sandrahuguet Review Assigned To => Sandrahuguet
2015-03-05 18:45 Sandrahuguet Note Added: 0075216
2015-03-05 18:45 Sandrahuguet Status resolved => closed
2015-03-05 18:45 Sandrahuguet Fixed in Version => 3.0PR15Q2
2015-03-09 09:25 umartirena Note Added: 0075291
2015-03-09 09:25 umartirena Status closed => new
2015-03-09 09:25 umartirena Resolution fixed => open
2015-03-09 09:25 umartirena Fixed in Version 3.0PR15Q2 =>
2015-03-09 09:25 umartirena Status new => scheduled
2015-03-09 09:25 umartirena Status scheduled => resolved
2015-03-09 09:25 umartirena Fixed in Version => pi
2015-03-09 09:25 umartirena Resolution open => fixed
2015-03-09 09:26 umartirena Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker